package local.interviews.arrays;

/*
    на входе массив целых чисел n[] со знаками +- и целое число m(любое, со знаком +-)
    необходимо найти первую попавшуюся пару чисел, сумма которой дает целое число m
    если, такая пара не найдена, возвращается пустой массив
    для массива n[] = [3, 4, -1, 0, 7] и числа m = 6, ответ = [-1, 7]
    для массива n[] = [5, 6, 10, 2] и числа m = 2, ответ = []
*/
public interface PairsFinder {
    int[] find(int[] n, int m);
}
